Bug 436264

Summary: mount.nfs4 don't work with IPv6
Product: [Fedora] Fedora Reporter: Jean-Jacques Sarton <jj.sarton>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:41:58 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jean-Jacques Sarton 2008-03-06 03:52:39 EST
Description of problem:


Version-Release number of selected component (if applicable):
nfs-utils-1.1.0-6.fc8

How reproducible:
mount.nfs4 <IPv6OnlyServer>:/ /mnt/nfs4

Steps to Reproduce:
1. configure nfs4
2. make shure that a DNS query to the <server> return only a IPv6 Address 
3. issue mount.nfs4 <server>:/ /mnt/nfs4; 
  
Actual results:
mount: can't get address for <server>


Expected results:
Mounting from IPv6 server shall work

Additional info:
Comment 1 Steve Dickson 2008-03-06 09:03:43 EST
IPV6 support is currently be worked on... 

Question, could you please supply the DNS configuration 
your using that limits it to only IPv6 address?

tia... 
Comment 2 Jean-Jacques Sarton 2008-03-06 10:24:22 EST
I have installed a nameserver (maradns) and have an entry for the ipv6 address
of my pc, this entry ha a unique name (pc6).

The entries are:
# main address
pc.home.  A      192.168.1.2
# tap for use with virtual machines
pc.home.  A      10.1.1.1
# internal IPv6 Addresses
pc.home.  AAAA   2001:6f8:xxx:1::1
pc6.home. AAAA   2001:6f8:xxx:1::1
# IPv6 only pc
ws.home.  AAAA   2001:6f8:xxx:1::1


The code within nfs-utils/utils/mount/nfs4mount.c is IPv4-Only, this shall
probably also apply to other files.
Comment 3 Lon Hohberger 2008-07-11 10:06:50 EDT
Also in the kernel:

http://marc.info/?l=linux-nfs&m=121382863309620&w=2
Comment 4 Bug Zapper 2008-11-26 05:02:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:41:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.